catalogs:
  azure: |
    connector.name=hive
    iceberg.catalog.type=jdbc
    iceberg.jdbc-catalog.catalog-name=test
    iceberg.jdbc-catalog.driver-class=org.postgresql.Driver
    iceberg.jdbc-catalog.connection-url=jdbc:postgresql://psql-dp-rabin.postgres.database.azure.com/fhana_trino
    iceberg.jdbc-catalog.connection-user=fhana_trino
    iceberg.jdbc-catalog.connection-password=pass
    iceberg.jdbc-catalog.default-warehouse-dir=abfs://trino@rabinlake.blob.core.windows.net/
    
    fs.native-azure.enabled: true
    azure.auth-type: OAUTH
    azure.oauth.tenant-id: be28f71b-390e-4d7d-a948-94dc7db02ae3
    azure.oauth.endpoint: https://login.microsoftonline.com/be28f71b-390e-4d7d-a948-94dc7db02ae3/oauth2/v2.0/token
    azure.oauth.client-id: f18eb690-4248-4e8e-9766-cd351f334538
    azure.oauth.secret: 5TR8Q~ro.1EFHmuJahEpXSPZrGd-DBpp2nyAHcCn
    

ingress:
  enabled: true
  className: "nginx-internal"
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-prod
  hosts:
    - host: trino.rabin.oictinternal.cz
      paths: 
        - path: /
          pathType: Prefix
  tls:
   - hosts:
       - trino.rabin.oictinternal.cz
     secretName: trino.rabin.oictinternal.cz-tls

additionalConfigProperties:
  - http-server.process-forwarded=true
  # - internal-communication.shared-secret=random-value-999

